package com.fr.plugin.xx.zheneng.proxy.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

@Visualization(category = "API请求代理配置-华为", priority = 1)
public class ApiProxyConfig extends DefaultConfiguration {
    private static volatile ApiProxyConfig config = null;

    public static ApiProxyConfig getInstance() {
        synchronized (ApiProxyConfig.class) {
            if (config == null) {
                config = ConfigContext.getTenantConfig(ApiProxyConfig.class);
            }
        }
        return config;
    }

    @Identifier(value = "appKey", name = "AppKey", description = "华为AppKey", status = Status.SHOW)
    private Conf<String> appKey = Holders.simple("");

    @Identifier(value = "appSecret", name = "AppSecret", description = "华为AppSecret", status = Status.SHOW, encrypted = true)
    private Conf<String> appSecret = Holders.simple("");

    public String getAppKey() {
        return appKey.get();
    }

    public String getAppSecret() {
        return appSecret.get();
    }

    @Override
    public String getNameSpace() {
        return this.getClass().getName();
    }
}
